#ifndef _NAP_EVENT_H
#define _NAP_EVENT_H

/* Copyright (c) 2000  Kevin Sullivan <nite@gis.net>
 *
 * Please refer to the COPYRIGHT file for more information.
 */

#include <unistd.h>
#include <netinet/in.h>
#include "scheck.h"

void initssock(int);
int inssock(WINDOW *, sock_t *);
int inipc(WINDOW *, sock_t *);
int inserv(WINDOW *, sock_t *);
int gconn(WINDOW *, sock_t *);
int lsock(WINDOW *, sock_t *);
int doget(WINDOW *, sock_t *);
int dosend(WINDOW *, sock_t *);
int initfserv(char *);
void closefserv(void);
int initsend(WINDOW *, sock_t *);
int ssize(WINDOW *, sock_t *);
int initget(WINDOW *, sock_t *);
int gsize(WINDOW *, sock_t *);
int sfile(WINDOW *, sock_t *);
int gfile(WINDOW *, sock_t *);
int initgetlist(WINDOW *, sock_t *);
int dosendlist(WINDOW *, sock_t *);
int glistnick(WINDOW *, sock_t *);
int glist(WINDOW *, sock_t *);
int initsendlist(WINDOW *, sock_t *);
int dogetlist(WINDOW *, sock_t *);
int slist(WINDOW *, sock_t *);

#endif /* _NAP_EVENT_H */
